import * as bun from 'bun';
import { BuildConfig as BuildConfig$1 } from 'bun';
import * as plainjob from 'plainjob';
import { Database } from 'bun:sqlite';
import { Kysely } from 'kysely';

declare function sqlite<DB = unknown>(): {
    sqlite: Database;
    database: Kysely<DB>;
    migrate: (...fns: ((db: Kysely<any>) => Promise<void>)[]) => Promise<void>;
    queue: plainjob.Queue;
};
declare function secret(key?: string): Promise<string>;
type BuildConfig = Omit<BuildConfig$1, "entrypoints"> & {
    entrypoints: string | string[];
};
declare function build(options: BuildConfig): Promise<bun.BuildOutput>;

export { build, secret, sqlite };
